Energy export
An Excel export of the energy flows per location of an organisation: per source (grid, solar, battery), how much energy went where (consumption, battery, chargers, grid export), in kWh.
An Excel export of the energy flows per location of an organisation: per source (grid, solar, battery), how much energy went where (consumption, battery, chargers, grid export), in kWh. Handy for monthly reporting.
Energy flows per location of an organisation as an Excel sheet
GET /energy-export/{organisation_id}/xlsx
Per location the energy produced or imported by each source (grid, solar, battery), broken down by where it went (consumption, battery, charger, grid export), in kWh.
curl
ORGANISATION_ID="<organisation_id>"
curl -X GET "https://api.zympler.com/v1beta/energy-export/$ORGANISATION_ID/xlsx?start=2026-01-01T00:00:00Z&end=2026-01-01T00:00:00Z" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let organisation_id = "<organisation_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/energy-export/{organisation_id}/xlsx"))
.bearer_auth(&token)
.query(&[("start", "2026-01-01T00:00:00Z"), ("end", "2026-01-01T00:00:00Z")])
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
organisation_id = "<organisation_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/energy-export/{organisation_id}/xlsx",
headers={"Authorization": f"Bearer {token}"},
params={
"start": "2026-01-01T00:00:00Z",
"end": "2026-01-01T00:00:00Z",
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
organisation_id | path | string (uuid) | yes | Organisation ID |
start | query | string (date-time) | yes | The start datetime for the selected range (in 2024-08-21T13:00:00Z format). It is rounded down to the start of the month in the time zone of each location. |
end | query | string (date-time) | yes | The end datetime for the selected range (in 2024-08-21T13:00:00Z format) |
Responses
Fields
Type: string (binary)
Status codes
| Status | Description |
|---|---|
200 | Ok |
401 | Unauthorized |
403 | Forbidden |